org.eclipse.jetty.websocket

## Class FixedMaskGen

- java.lang.Object
- - org.eclipse.jetty.websocket.FixedMaskGen

All Implemented Interfaces:
  MaskGen

    public class FixedMaskGen
    extends Object
    implements MaskGen

### Constructor Summary

Constructors
Constructor and Description
`FixedMaskGen()`
`FixedMaskGen(byte[] mask)`

### Method Summary

Methods
`void` `genMask(byte[] mask)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FixedMaskGen

    public FixedMaskGen()

#### FixedMaskGen

    public FixedMaskGen(byte[] mask)

### Method Detail

#### genMask

    public void genMask(byte[] mask)

Specified by:
  `genMask` in interface `MaskGen`